<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Ui_MainWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_ui___main_window.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="class_ui___main_window-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Ui_MainWindow</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">ui_mainwindow.h</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Ui_MainWindow</div>
<div class="dyncontent">
<div class="center"><img src="class_ui___main_window__inherit__graph.png" border="0" usemap="#a_ui___main_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_ui___main_window_inherit__map" id="a_ui___main_window_inherit__map">
<area shape="rect" title=" " alt="" coords="5,5,121,31"/>
<area shape="rect" href="class_ui_1_1_main_window.html" title=" " alt="" coords="6,79,121,104"/>
<area shape="poly" title=" " alt="" coords="66,44,66,79,61,79,61,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">setupUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">setupUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:a39420100bfee3ba57f137af5a3b0f8e9"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a></td></tr>
<tr class="separator:a39420100bfee3ba57f137af5a3b0f8e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734b1d3bb71c1b8e1ea01b7fa4344fce"><td class="memItemLeft" align="right" valign="top">QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a></td></tr>
<tr class="separator:a734b1d3bb71c1b8e1ea01b7fa4344fce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07519bbb9a350befd6feb4e84ef299fd"><td class="memItemLeft" align="right" valign="top">QStatusBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a></td></tr>
<tr class="separator:a07519bbb9a350befd6feb4e84ef299fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00021">21</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>
</div><h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="acf4a0872c4c77d8f43a2ec66ed849b58" name="acf4a0872c4c77d8f43a2ec66ed849b58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4a0872c4c77d8f43a2ec66ed849b58">&#9670;&#160;</a></span>setupUi() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Ui_MainWindow::setupUi </td>
          <td>(</td>
          <td class="paramtype">QMainWindow *&#160;</td>
          <td class="paramname"><em>MainWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00028">28</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph.png" border="0" usemap="#aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph" alt=""/></div>
<map name="aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph" id="aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,172,31"/>
<area shape="rect" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618" title=" " alt="" coords="220,5,416,31"/>
<area shape="poly" title=" " alt="" coords="172,15,206,15,206,21,172,21"/>
</map>
</div>

</div>
</div>
<a id="a097dd160c3534a204904cb374412c618" name="a097dd160c3534a204904cb374412c618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a097dd160c3534a204904cb374412c618">&#9670;&#160;</a></span>retranslateUi() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Ui_MainWindow::retranslateUi </td>
          <td>(</td>
          <td class="paramtype">QMainWindow *&#160;</td>
          <td class="paramname"><em>MainWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00048">48</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_ui___main_window_a097dd160c3534a204904cb374412c618_icgraph.png" border="0" usemap="#aclass_ui___main_window_a097dd160c3534a204904cb374412c618_icgraph" alt=""/></div>
<map name="aclass_ui___main_window_a097dd160c3534a204904cb374412c618_icgraph" id="aclass_ui___main_window_a097dd160c3534a204904cb374412c618_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,416,31"/>
<area shape="rect" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58" title=" " alt="" coords="5,5,172,31"/>
<area shape="poly" title=" " alt="" coords="206,21,172,21,172,15,206,15"/>
</map>
</div>

</div>
</div>
<a id="acf4a0872c4c77d8f43a2ec66ed849b58" name="acf4a0872c4c77d8f43a2ec66ed849b58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4a0872c4c77d8f43a2ec66ed849b58">&#9670;&#160;</a></span>setupUi() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Ui_MainWindow::setupUi </td>
          <td>(</td>
          <td class="paramtype">QMainWindow *&#160;</td>
          <td class="paramname"><em>MainWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2ui__mainwindow_8h_source.html#l00028">28</a> pliku <a class="el" href="build_2ui__mainwindow_8h_source.html">build/ui_mainwindow.h</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph.png" border="0" usemap="#aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph" alt=""/></div>
<map name="aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph" id="aclass_ui___main_window_acf4a0872c4c77d8f43a2ec66ed849b58_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,172,31"/>
<area shape="rect" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618" title=" " alt="" coords="220,5,416,31"/>
<area shape="poly" title=" " alt="" coords="172,15,206,15,206,21,172,21"/>
</map>
</div>

</div>
</div>
<a id="a097dd160c3534a204904cb374412c618" name="a097dd160c3534a204904cb374412c618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a097dd160c3534a204904cb374412c618">&#9670;&#160;</a></span>retranslateUi() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Ui_MainWindow::retranslateUi </td>
          <td>(</td>
          <td class="paramtype">QMainWindow *&#160;</td>
          <td class="paramname"><em>MainWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2ui__mainwindow_8h_source.html#l00048">48</a> pliku <a class="el" href="build_2ui__mainwindow_8h_source.html">build/ui_mainwindow.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a39420100bfee3ba57f137af5a3b0f8e9" name="a39420100bfee3ba57f137af5a3b0f8e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39420100bfee3ba57f137af5a3b0f8e9">&#9670;&#160;</a></span>centralwidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QWidget * Ui_MainWindow::centralwidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00024">24</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>

</div>
</div>
<a id="a734b1d3bb71c1b8e1ea01b7fa4344fce" name="a734b1d3bb71c1b8e1ea01b7fa4344fce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734b1d3bb71c1b8e1ea01b7fa4344fce">&#9670;&#160;</a></span>menubar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QMenuBar * Ui_MainWindow::menubar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00025">25</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>

</div>
</div>
<a id="a07519bbb9a350befd6feb4e84ef299fd" name="a07519bbb9a350befd6feb4e84ef299fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07519bbb9a350befd6feb4e84ef299fd">&#9670;&#160;</a></span>statusbar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QStatusBar * Ui_MainWindow::statusbar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00026">26</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a></li>
<li><a class="el" href="build_2ui__mainwindow_8h_source.html">build/ui_mainwindow.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_ui___main_window.html">Ui_MainWindow</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
